package de.hhu.ba.yoshikoWrapper.core;

public class YoshikoLoader {
	
	//SINGLETON TEMPLATE
	
	private static YoshikoLoader instance;
	private static boolean libraryLoaded;
	
	public static YoshikoLoader getInstance() {
		if (instance == null){
			instance = new YoshikoLoader();
		}
		return instance;
	}
	
	private YoshikoLoader() {
		libraryLoaded = false;
	}
	

	public void loadLibrary(String libPath) {
		//TODO: IF ALREADY LOADED DON'T LOAD AGAIN!!!!
		try {
			System.load(libPath);
			libraryLoaded = true;
		}
		catch(UnsatisfiedLinkError e) {
			System.out.print(System.getProperty("java.version")+System.getProperty("sun.arch.data.model"));
			e.printStackTrace();
			libraryLoaded = false;
		}
		finally {
			
		}

	}
	
	//SETTER / GETTER
	
	public boolean isLibraryLoaded() {
		return libraryLoaded;
	}

}
